from random import randint

def main():
    numbs = []

    for i in range(10):
        numbs.append(randint(1, 100))


    print("Numeri con indici pari", numbs[1::2])
    #for i in range(0, len(numbs), 2):
    #    print(i,":", numbs[i])

    print("Numeri pari")
    for i in range(len(numbs)):
        if numbs[i] % 2 == 0:
            print(i,":", numbs[i])

    print("Lista invertita", numbs[::-1])

    print("Primo elemento", numbs[0])
    print("Ultimo elemento", numbs[-1])

main()